Bug 249454 - dar-2.3.4-1.fc7 crashes on exit (glibc double free)
dar-2.3.4-1.fc7 crashes on exit (glibc double free)
Product: Fedora
Classification: Fedora
Component: dar (Show other bugs)
i686 Linux
low Severity low
: ---
: ---
Assigned To: Chris Petersen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-24 15:38 EDT by Vladimir Ivanovic
Modified: 2008-06-16 21:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 21:57:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vladimir Ivanovic 2007-07-24 15:38:25 EDT
Description of problem:
dar-2.3.4-1.fc7 crashes on edit (glibc double free)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. dar --verbose=skipped --bzip --alter=SI-units --slice 700M --fs-root /
--no-mount-points --empty-dir --exclude-from-file
/home/vladimir/etc/dar-exclude-from-file --ref
/mnt/backup01/bach/2007-06-29/full --create /mnt/backup01/bach/2007-07-24/diff
Actual results:
Skipping file: /usr/local
Skipping file: /net
Skipping file: /root/cache
Skipping file: /proc
Skipping file: /selinux
Skipping file: /misc
Skipping file: /sys
Skipping file: /opt
Skipping file: /var/lib/nfs/rpc_pipefs
Skipping file: /var/named/chroot/proc
Skipping file: /tmp
Skipping file: /mnt/backup00
Skipping file: /mnt/backup01
Skipping file: /mnt/s3
Skipping file: /home
Skipping file: /boot
Skipping file: /dev

 106990 inode(s) saved
 with 23178 hard link(s) recorded
 0 inode(s) changed at the moment of the backup
 576350 inode(s) not saved (no inode/file change)
 0 inode(s) failed to save (filesystem error)
 17 inode(s) ignored (excluded by filters)
 5063 inode(s) recorded as deleted from reference backup
 Total number of inode considered: 688420
*** glibc detected *** dar: double free or corruption (out): 0x3248e638 ***
======= Backtrace: =========
======= Memory map: ========
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
08048000-0808e000 r-xp 00000000 fd:00 10762575   /usr/bin/dar
0808e000-08091000 rwxp 00046000 fd:00 10762575   /usr/bin/dar
09871000-3c4fa000 rwxp 09871000 00:00 0 
45c84000-45c9f000 r-xp 00000000 fd:00 6940107    /lib/ld-2.6.so
45c9f000-45ca0000 r-xp 0001a000 fd:00 6940107    /lib/ld-2.6.so
45ca0000-45ca1000 rwxp 0001b000 fd:00 6940107    /lib/ld-2.6.so
45ca3000-45df1000 r-xp 00000000 fd:00 6940254    /lib/libc-2.6.so
45df1000-45df3000 r-xp 0014e000 fd:00 6940254    /lib/libc-2.6.so
45df3000-45df4000 rwxp 00150000 fd:00 6940254    /lib/libc-2.6.so
45df4000-45df7000 rwxp 45df4000 00:00 0 
45df9000-45e20000 r-xp 00000000 fd:00 6941226    /lib/libm-2.6.so
45e20000-45e21000 r-xp 00026000 fd:00 6941226    /lib/libm-2.6.so
45e21000-45e22000 rwxp 00027000 fd:00 6941226    /lib/libm-2.6.so
45e24000-45e27000 r-xp 00000000 fd:00 6941182    /lib/libdl-2.6.so
45e27000-45e28000 r-xp 00002000 fd:00 6941182    /lib/libdl-2.6.so
45e28000-45e29000 rwxp 00003000 fd:00 6941182    /lib/libdl-2.6.so
45e2b000-45e3f000 r-xp 00000000 fd:00 6942508    /lib/libpthread-2.6.so
45e3f000-45e40000 r-xp 00013000 fd:00 6942508    /lib/libpthread-2.6.so
45e40000-45e41000 rwxp 00014000 fd:00 6942508    /lib/libpthread-2.6.so
45e41000-45e43000 rwxp 45e41000 00:00 0 
45e45000-45e57000 r-xp 00000000 fd:00 6941177    /lib/libz.so.1.2.3
45e57000-45e58000 rwxp 00011000 fd:00 6941177    /lib/libz.so.1.2.3
45f7d000-45f88000 r-xp 00000000 fd:00 6942507    /lib/libgcc_s-4.1.2-20070503.so.1
45f88000-45f89000 rwxp 0000a000 fd:00 6942507    /lib/libgcc_s-4.1.2-20070503.so.1
45fb3000-46093000 r-xp 00000000 fd:00 10747367   /usr/lib/libstdc++.so.6.0.8
46093000-46096000 r-xp 000e0000 fd:00 10747367   /usr/lib/libstdc++.so.6.0.8
46096000-46098000 rwxp 000e3000 fd:00 10747367   /usr/lib/libstdc++.so.6.0.8
46098000-4609e000 rwxp 46098000 00:00 0 
460a0000-461f4000 r-xp 00000000 fd:00 10759060   /usr/lib/libdar.so.4.0.0
461f4000-461f6000 rwxp 00154000 fd:00 10759060   /usr/lib/libdar.so.4.0.0
4631f000-4643b000 r-xp 00000000 fd:00 6941197    /lib/libcrypto.so.0.9.8b
4643b000-4644d000 rwxp 0011c000 fd:00 6941197    /lib/libcrypto.so.0.9.8b
4644d000-46451000 rwxp 4644d000 00:00 0 
482e1000-482f1000 r-xp 00000000 fd:00 10745706   /usr/lib/libbz2.so.1.0.4
482f1000-482f2000 rwxp 00010000 fd:00 10745706   /usr/lib/libbz2.so.1.0.4
ad8aa000-ad9ab000 rw-p ad8aa000 00:00 0 
add1a000-ae825000 rw-p add1a000 00:00 0 
aeb94000-aec95000 rw-p aeb94000 00:00 0 
aee02000-afb0f000 rw-p aee02000 00:00 0 
aff13000-b0014000 rw-p aff13000 00:00 0 
b0585000-b0888000 rw-p b0585000 00:00 0 
b1292000-b1393000 rw-p b1292000 00:00 0 
b2980000-b2c83000 rw-p b2980000 00:00 0 
b2f86000-b3087000 rw-p b2f86000 00:00 0 
b7b00000-b7b21000 rw-p b7b00000 00:00 0 
b7b21000-b7c00000 ---p b7b21000 00:00 0 
b7cee000-b7eee000 r--p 00000000 fd:00 10740348   /usr/lib/locale/locale-archive
b7eee000-b7ef2000 rw-p b7eee000 00:00 0 
b7f19000-b7f1a000 rw-p b7f19000 00:00 0 
b7f1a000-b7f21000 r--s 00000000 fd:00 10770865   /usr/lib/gconv/gconv-modules.cache
bf8cb000-bf8eb000 rw-p bf8cb000 00:00 0          [stack]
/root/bin/backup: line 37: 20052 Aborted                 dar --verbose=skipped
--bzip --alter=SI-units --slice 700M --fs-root / --no-mount-points --empty-dir
--exclude-from-file ${HOME}/etc/dar-exclude-from-file --ref
/mnt/backup01/${HOSTNAME}/${BASE_NAME} --create

[The bash script /root/bin/backup simply chooses to make a full backup or a
differential backup and then issues the appropriate command.]

Expected results:
skipped files and summary & successful exit return

Additional info:
Linux bach.leonora.org #1 SMP Tue Jul 17 17:13:26 EDT 2007 i686
i686 i386 GNU/Linux
Note: detruire means to destroy; detruit means destroyed in French.
Comment 1 Vladimir Ivanovic 2007-07-24 15:40:11 EDT
Arrgh. That should be: dar-2.3.4-1.fc7 crashes on exit (glibc double free)
Comment 2 Bug Zapper 2008-05-14 09:39:28 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 21:57:23 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.